Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366010 - SELinux is preventing qemu-system-x86 from 'open' accesses on the file /run/media/sandro/Data/Magazzino/gnewsense-live-3.1-amd64-gnome.iso.
Summary: SELinux is preventing qemu-system-x86 from 'open' accesses on the file /run/m...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:d124388b1722af68e5d79d0be48...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-10 17:57 UTC by Sandro Grassi
Modified: 2017-08-08 16:28 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 16:28:01 UTC


Attachments (Terms of Use)

Description Sandro Grassi 2016-08-10 17:57:26 UTC
Description of problem:
I can not create virtual machines with boxes.
SELinux is preventing qemu-system-x86 from 'open' accesses on the file /run/media/sandro/Data/Magazzino/gnewsense-live-3.1-amd64-gnome.iso.

*****  Plugin catchall_boolean (89.3 confidence) suggests   ******************

If si desidera allow virt to use fusefs
Then è necessario informare SELinux abilitando il booleano 'virt_use_fusefs' .
Per maggiori informazioni consultare le pagina man di 'None'.
Do
setsebool -P virt_use_fusefs 1

*****  Plugin catchall (11.6 confidence) suggests   **************************

If si crede che qemu-system-x86 dovrebbe avere possibilità di accesso open sui gnewsense-live-3.1-amd64-gnome.iso file in modo predefinito.
Then si dovrebbe riportare il problema come bug.
E' possibile generare un modulo di politica locale per consentire questo accesso.
Do
allow this access for now by executing:
# ausearch -c 'qemu-system-x86' --raw | audit2allow -M my-qemusystemx86
# semodule -X 300 -i my-qemusystemx86.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:svirt_t:s0:c390,c544
Target Context                system_u:object_r:fusefs_t:s0
Target Objects                /run/media/sandro/Data/Magazzino/gnewsense-
                              live-3.1-amd64-gnome.iso [ file ]
Source                        qemu-system-x86
Source Path                   qemu-system-x86
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-191.8.fc24.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.6.5-300.fc24.x86_64 #1 SMP Thu
                              Jul 28 01:10:12 UTC 2016 x86_64 x86_64
Alert Count                   2
First Seen                    2016-08-10 19:51:06 CEST
Last Seen                     2016-08-10 19:51:06 CEST
Local ID                      5179f54a-dce6-4566-9762-aaeeeb00bbf3

Raw Audit Messages
type=AVC msg=audit(1470851466.499:229): avc:  denied  { open } for  pid=2227 comm="qemu-system-x86" path="/run/media/sandro/Data/Magazzino/gnewsense-live-3.1-amd64-gnome.iso" dev="sda5" ino=102 scontext=unconfined_u:unconfined_r:svirt_t:s0:c390,c544 tcontext=system_u:object_r:fusefs_t:s0 tclass=file permissive=0


Hash: qemu-system-x86,svirt_t,fusefs_t,file,open

Version-Release number of selected component:
selinux-policy-3.13.1-191.8.fc24.noarch

Additional info:
reporter:       libreport-2.7.2
hashmarkername: setroubleshoot
kernel:         4.6.5-300.fc24.x86_64
type:           libreport

Potential duplicate: bug 1142767

Comment 1 Fedora Admin XMLRPC Client 2016-09-27 15:08:41 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Tony 2016-10-17 05:24:07 UTC
Description of problem:
Ran boxes, createeda new one using linuxmint 18 64bit iso located on a ntfs partition.
Ran the newly created "box".
It crashed.

The troubleshooter has a related workaround/fix:

To tell SELinux to allow "virt" to use fusefs by enabling 'virt_use_fusefs' boolean. 
You can read 'None' man page for more details. >>>what is this bs, there is no 'none' man page!
setsebool -P virt_use_fusefs 1

I ran that last line on a terminal and now i can run the "box".

Version-Release number of selected component:
selinux-policy-3.13.1-191.18.fc24.noarch

Additional info:
reporter:       libreport-2.7.2
hashmarkername: setroubleshoot
kernel:         4.7.4-200.fc24.x86_64
type:           libreport

Comment 3 Fedora End Of Life 2017-07-25 22:22:18 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-08-08 16:28:01 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.